Skip to main content
POST
https://api-zangtable.com
/
projects
/
{project}
/
auth
/
tokens
/
test
POST /projects/{project}/auth/tokens/test
curl --request POST \
  --url https://api-zangtable.com/projects/{project}/auth/tokens/test \
  --header 'Authorization: <authorization>'
{
  "ok": true,
  "data": {},
  "error": {},
  "request_id": "<string>"
}
Tests Project API Token access against a table.

Endpoint details

Authorization
string
required
Bearer pat_... (Project API Token). Keep this token on your backend/server.
project
string
required
Project slug. This acts as the Project ID in API paths.
ok
boolean
required
true for a successful response and false for an error response.
data
object | null
Endpoint-specific response data when ok is true; null on errors.
error
object | null
Error code and message when ok is false; null on success.
request_id
string
required
Request identifier you can use when troubleshooting a specific API call.

Authentication

Project API Token.

Parameters

Body: table_name optional. token_name optional default temporary-access-test.

Request examples

Basic request:
curl -X POST "$BASE_URL/projects/{project}/auth/tokens/test" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'Content-Type: application/json' \
  --data '{"table_name":"contacts"}'
Full request:
curl -X POST "$BASE_URL/projects/{project}/auth/tokens/test" \
  -H 'Authorization: Bearer pat_PROJECT_TOKEN' \
  -H 'Content-Type: application/json' \
  -H 'X-Operation-Key: edit-profile-email' \
  -H 'X-Operation-Run-Id: oprun_client_20260602_001' \
  --data '{"token_name":"temporary-access-test","table_name":"contacts"}'

Response examples

Success:
{
  "ok": true,
  "data": {
    "token": {
      "token": "pat_TEMP_TOKEN",
      "token_id": 30,
      "token_type": "project_api_token",
      "expires_at": null
    },
    "test": {
      "project": "example_project",
      "table": "contacts",
      "sample_row": {
        "id": 1,
        "email": "ada@example.com"
      }
    }
  },
  "error": null,
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "operation_key": "edit-profile-email",
  "operation_run_id": "oprun_20260602T012300_000000Z_a1b2c3d4e5f6",
  "operation_grouping_status": "accepted_provided_run",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}
Error or alternate response:
{
  "ok": false,
  "data": null,
  "error": {
    "code": "invalid_token",
    "message": "Token is expired, revoked, or invalid."
  },
  "request_id": "req_20260602T012345_123456Z_abc123def456",
  "meta": {
    "generated_at": "2026-06-02T01:23:45Z"
  }
}